Page MenuHome

Animation render does not show physics unless baked
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Win 10

Blender Version
Broken: 2.80rc1
Worked: 2.79b

Short description of error
Unbaked physics simulation is not working with Animation Rendering (Ctrl F12).
Menu description says render active scene

Exact steps for others to reproduce the error
The attached file was made in blender 2.73a.

  1. Open the attached file.
  2. Ctrl F12 to render animation.

Note that the simulation is not computed.

Event Timeline

Brecht Van Lommel (brecht) lowered the priority of this task from 90 to 30.Dec 2 2018, 3:40 PM

It works for me.

What do you mean by not working? It crashes, doesn't do anything at all, renders one frame, .. ?

If it does not happen with the default startup scene, we need a .blend to redo the problem.

Only seems to render the first frame for me. It works OK in preview mode using EEVEE or Cycles.

Blend file attached.

Antonio Vazquez (antoniov) raised the priority of this task from 30 to 50.Dec 2 2018, 4:31 PM
Antonio Vazquez (antoniov) edited projects, added BF Blender: 2.8; removed BF Blender.

I can reproduce it on Windows.

If you render, only get the current frame repeated. I have noticed that after render, if you move timeline, the simulation is not calculated, you need press play again to get the animation works again in viewport.

Further investigation shows the problem is not with keyframe animation but with physics not getting baked before rendering. I can't find anything in the new UI that lets me inspect or control that. An updated Animation test file is attached which demonstrated the problem.

I got same problem (windows 10 with GTX980ti, used today build)

I render armature animation, with camera moving. Out put type is PNG. then set frame and out put directory.
only camera seems move. because actually each png change, with recorded camera move.
but armature keep same posing of frame 1.

Of course I check my modifier setting, (all active for render) as my case I only set shirink rup and subD modifiers with armature, for render.

And if I render armature animation with cube which change scale, only cube animate in out put image. but figure keep same pose (frame 1 to 60)
at this time, I output as mkv format.

Further investigation shows the problem is not with keyframe animation but with physics not getting baked before rendering. I can't find anything in the new UI that lets me inspect or control that. An updated Animation test file is attached which demonstrated the problem.

I can second that. Of all actions for rendering, baking, baking to disk, freeing the bake, caching, letting it calculate freely, etc, I can only see the physics working properly in the viewport when previewing the animation, but clicking the "Render animation" button will not update the physics beyond the first position. You can circumvent this by manually rendering every frame, therefore concluding that the timeline is what updates the physics calculation and that update method is not being called in the animation render sequence.

I have problems with animations but when I use some simulation like water, cloth, etc.... in eevee, it does'nt appears or move when it should to... some one has any idea about it?

Brecht Van Lommel (brecht) renamed this task from Animation render not working to Animation render does not show physics unless baked.Apr 1 2019, 2:01 PM
Germano Cavalcante (mano-wii) changed the subtype of this task from "Report" to "Bug".Jan 31 2020, 3:00 PM

Same problem here. Is this going to be fixed at any point? Seems like a serious problem to me idk...

Ok yeah so it works on every version previous to 2.83. Please fix this bug, I can't use the newest release because of it.

Jacques Lucke (JacquesLucke) claimed this task.

I can reproduce the issue in the given file in 2.81, but not in the current master version. Therefore, I assume the original bug has been fixed.
If there are other issues, related or not, please open a separate bug report for them and provide a simple .blend file.